* model.h
* common blocks for the model parameters
* this file is part of FormCalc
* last modified 31 Jul 08 th


	double precision pi, degree, sqrt2, hbar_c2

	parameter (pi = 3.1415926535897932384626433832795029D0)
	parameter (degree = pi/180D0)
	parameter (sqrt2 = 1.41421356237309504880168872421D0)

	parameter (hbar_c2 = 3.8937966D8)
*         = hbar c^2 in picobarn

	double complex bogus, cI

	parameter (bogus = (-1D123, -2D123))
*	  some weird number likely to noticeably distort the final result;
*	  used for initializing arrays to check that all components
*	  have been calculated

	parameter (cI = (0D0, 1D0))

	double precision Divergence
	common /renorm/ Divergence
* SM parameters
*NZ Input Parameters
*Alfa = 1/137.036
*MZ = 91.1876
*MW = 80.425
*ME = 0.000511
*MU = 0.005
*MC = 1.3
*MM = 0.106
*MD = 0.005
*MB = 4.2
*ML = 1.78
*MS = 0.1
*MT = 175

	double precision sin12, sin23, sin13, delta13
	parameter (sin12 = .2243D0)
	parameter (sin23 = .0413D0)
	parameter (sin13 = .0037D0)
	parameter (delta13 = 60*degree)

	double precision GF, AlfaMZ, AlfasMZ, ME, MT
	parameter (GF = 1.16639D-5)
	parameter (AlfaMZ = 1/127.934D0)
	parameter (AlfasMZ = .118D0)

	double precision MZ, MZ2, MW, MW2, CW, CW2, SW2
	double precision Alfa, Alfa2
	double precision ME2, MM, MM2, ML, ML2
	double precision MU, MU2, MC, MC2, MT2
	double precision MD, MD2, MS, MS2, MB, MB2, MBatMB
	double precision NZISM(13)
	double complex CKM(3,3), CKMrhoeta
	double precision CKMlambda, CKMA
	double precision Mf(4,3), Mf2(4,3)
	double precision MH, MH2, MG0, MG02, MGp, MGp2
	double precision EL, GS, Alfas, Alfas2, AlfasMT, SW
	logical sm_digest

	common /sm_para/ MZ, MW, CW, CW2, SW2
	common /sm_para/ Alfa2
	common /sm_para/ ME, MM, ML
	common /sm_para/ MU, MC, MT
	common /sm_para/ MD, MS, MB, MBatMB
	common /sm_para/ NZISM
	common /sm_para/ CKM, CKMrhoeta, CKMlambda, CKMA
	common /sm_para/ Mf, Mf2
	common /sm_para/ MH, MH2, MG0, MG02, MGp, MGp2
	common /sm_para/ EL, GS, Alfas2, AlfasMT, SW
	common /sm_para/ sm_digest

	equivalence (NZISM(1), Alfa)
	equivalence (NZISM(2), Alfas)
	equivalence (NZISM(3), MB2)
	equivalence (NZISM(4), MC2)
	equivalence (NZISM(5), MD2)
	equivalence (NZISM(6), ME2)
	equivalence (NZISM(7), ML2)
	equivalence (NZISM(8), MM2)
	equivalence (NZISM(9), MS2)
	equivalence (NZISM(10), MT2)
	equivalence (NZISM(11), MU2)
	equivalence (NZISM(12), MW2)
	equivalence (NZISM(13), MZ2)


#ifndef CKMC
#define CKMC(i,j) DCONJG(CKM(i,j))
#endif


* MSSM parameters

	double complex UCha(2,2), VCha(2,2), ZNeu(4,4)
	double complex USf(2,2,4,3), UCSf(3,4,2:4,3), UUSf(3,4,2:4,3)
	double complex XHiggs(3,3,2)
	double complex Af(2:4,3,3), Xf(2:4,3,3)
	double complex Atau, At, Ab, MUE
	double complex Mino1, Mino2, Mino3, SqrtEGl
	double precision MCha(2), MCha2(2), MNeu(4), MNeu2(4)
	double precision MSS(2,2:4,3), MSS2(2,2:4,3), DSf(2,4)
	double precision MSf(2,4,3), MSf2(2,4,3), MSusy, MGl, MGl2
	double precision MHiggs(4), MHiggs2(4), MHiggstree2(4)
	double precision CB, SB, TB, CB2, SB2, TB2, C2B, S2B
	double precision CA, SA, TA, CA2, SA2, TA2, C2A, S2A
	double precision CAB, SAB, CBA, SBA
	double complex NZIUSf(2,2,4,3)
	double complex NZIMSf(2,4,3)
	double complex NZIMSSM(94)


	logical mssm_digest

	common /mssm_para/ UCha, VCha, ZNeu
	common /mssm_para/ USf, UCSf, UUSf
	common /mssm_para/ XHiggs
	common /mssm_para/ Af, Xf
	common /mssm_para/ Atau, At, Ab, MUE
	common /mssm_para/ Mino1, Mino2, Mino3, SqrtEGl
	common /mssm_para/ MCha, MCha2, MNeu, MNeu2
	common /mssm_para/ MSS, MSS2, DSf
	common /mssm_para/ MSf, MSf2, MSusy, MGl, MGl2
	common /mssm_para/ MHiggs, MHiggs2, MHiggstree2
	common /mssm_para/ CB, SB, TB, CB2, SB2, TB2, C2B, S2B
	common /mssm_para/ CA, SA, TA, CA2, SA2, TA2, C2A, S2A
	common /mssm_para/ CAB, SAB, CBA, SBA
	common /mssm_para/ NZIUSf
	common /mssm_para/ NZIMSf
	common /mssm_para/ NZIMSSM
	common /mssm_para/ mssm_digest


	double complex NZIMA0
	double complex NZIMCha1
	double complex NZIMCha2
	double complex NZIMGl
	double complex NZIMh0
	double complex NZIMHH
	double complex NZIMHp
	double complex NZIMNeu1
	double complex NZIMNeu2
	double complex NZIMNeu3
	double complex NZIMNeu4
	double complex NZIMSf143
	double complex NZIMSf243
	double complex NZIMSf132
	double complex NZIMSf232
	double complex NZIMSf141
	double complex NZIMSf241
	double complex NZIMSf121
	double complex NZIMSf221
	double complex NZIMSf123
	double complex NZIMSf223
	double complex NZIMSf122
	double complex NZIMSf222
	double complex NZIMSf111
	double complex NZIMSf113
	double complex NZIMSf112
	double complex NZIMSf142
	double complex NZIMSf242
	double complex NZIMSf133
	double complex NZIMSf233
	double complex NZIMSf131
	double complex NZIMSf231
	double complex NZISA
	double complex NZITB
	double complex NZIUCha11
	double complex NZIUCha12
	double complex NZIUCha21
	double complex NZIUCha22
	double complex NZIUSf1121
	double complex NZIUSf1122
	double complex NZIUSf1123
	double complex NZIUSf1131
	double complex NZIUSf1132
	double complex NZIUSf1133
	double complex NZIUSf1141
	double complex NZIUSf1142
	double complex NZIUSf1143
	double complex NZIUSf1221
	double complex NZIUSf1222
	double complex NZIUSf1223
	double complex NZIUSf1231
	double complex NZIUSf1232
	double complex NZIUSf1233
	double complex NZIUSf1241
	double complex NZIUSf1242
	double complex NZIUSf1243
	double complex NZIUSf2121
	double complex NZIUSf2122
	double complex NZIUSf2123
	double complex NZIUSf2131
	double complex NZIUSf2132
	double complex NZIUSf2133
	double complex NZIUSf2141
	double complex NZIUSf2142
	double complex NZIUSf2143
	double complex NZIUSf2221
	double complex NZIUSf2222
	double complex NZIUSf2223
	double complex NZIUSf2231
	double complex NZIUSf2232
	double complex NZIUSf2233
	double complex NZIUSf2241
	double complex NZIUSf2242
	double complex NZIUSf2243
	double complex NZIVCha11
	double complex NZIVCha12
	double complex NZIVCha21
	double complex NZIVCha22
	double complex NZIZNeu11
	double complex NZIZNeu12
	double complex NZIZNeu13
	double complex NZIZNeu14
	double complex NZIZNeu21
	double complex NZIZNeu22
	double complex NZIZNeu23
	double complex NZIZNeu24
	double complex NZIZNeu31
	double complex NZIZNeu32
	double complex NZIZNeu33
	double complex NZIZNeu34
	double complex NZIZNeu41
	double complex NZIZNeu42
	double complex NZIZNeu43
	double complex NZIZNeu44
	equivalence (NZIMSSM(1), NZIMA0)
	equivalence (NZIMSSM(2), NZIMCha1)
	equivalence (NZIMSSM(3), NZIMCha2)
	equivalence (NZIMSSM(4), NZIMGl)
	equivalence (NZIMSSM(5), NZIMh0)
	equivalence (NZIMSSM(6), NZIMHH)
	equivalence (NZIMSSM(7), NZIMHp)
	equivalence (NZIMSSM(8), NZIMNeu1)
	equivalence (NZIMSSM(9), NZIMNeu2)
	equivalence (NZIMSSM(10), NZIMNeu3)
	equivalence (NZIMSSM(11), NZIMNeu4)
	equivalence (NZIMSSM(12), NZIMSf143)
	equivalence (NZIMSSM(13), NZIMSf243)
	equivalence (NZIMSSM(14), NZIMSf132)
	equivalence (NZIMSSM(15), NZIMSf232)
	equivalence (NZIMSSM(16), NZIMSf141)
	equivalence (NZIMSSM(17), NZIMSf241)
	equivalence (NZIMSSM(18), NZIMSf121)
	equivalence (NZIMSSM(19), NZIMSf221)
	equivalence (NZIMSSM(20), NZIMSf123)
	equivalence (NZIMSSM(21), NZIMSf223)
	equivalence (NZIMSSM(22), NZIMSf122)
	equivalence (NZIMSSM(23), NZIMSf222)
	equivalence (NZIMSSM(24), NZIMSf111)
	equivalence (NZIMSSM(25), NZIMSf113)
	equivalence (NZIMSSM(26), NZIMSf112)
	equivalence (NZIMSSM(27), NZIMSf142)
	equivalence (NZIMSSM(28), NZIMSf242)
	equivalence (NZIMSSM(29), NZIMSf133)
	equivalence (NZIMSSM(30), NZIMSf233)
	equivalence (NZIMSSM(31), NZIMSf131)
	equivalence (NZIMSSM(32), NZIMSf231)
	equivalence (NZIMSSM(33), NZISA)
	equivalence (NZIMSSM(34), NZITB)
	equivalence (NZIMSSM(35), NZIUCha11)
	equivalence (NZIMSSM(36), NZIUCha12)
	equivalence (NZIMSSM(37), NZIUCha21)
	equivalence (NZIMSSM(38), NZIUCha22)
	equivalence (NZIMSSM(39), NZIUSf1121)
	equivalence (NZIMSSM(40), NZIUSf1122)
	equivalence (NZIMSSM(41), NZIUSf1123)
	equivalence (NZIMSSM(42), NZIUSf1131)
	equivalence (NZIMSSM(43), NZIUSf1132)
	equivalence (NZIMSSM(44), NZIUSf1133)
	equivalence (NZIMSSM(45), NZIUSf1141)
	equivalence (NZIMSSM(46), NZIUSf1142)
	equivalence (NZIMSSM(47), NZIUSf1143)
	equivalence (NZIMSSM(48), NZIUSf1221)
	equivalence (NZIMSSM(49), NZIUSf1222)
	equivalence (NZIMSSM(50), NZIUSf1223)
	equivalence (NZIMSSM(51), NZIUSf1231)
	equivalence (NZIMSSM(52), NZIUSf1232)
	equivalence (NZIMSSM(53), NZIUSf1233)
	equivalence (NZIMSSM(54), NZIUSf1241)
	equivalence (NZIMSSM(55), NZIUSf1242)
	equivalence (NZIMSSM(56), NZIUSf1243)
	equivalence (NZIMSSM(57), NZIUSf2121)
	equivalence (NZIMSSM(58), NZIUSf2122)
	equivalence (NZIMSSM(59), NZIUSf2123)
	equivalence (NZIMSSM(60), NZIUSf2131)
	equivalence (NZIMSSM(61), NZIUSf2132)
	equivalence (NZIMSSM(62), NZIUSf2133)
	equivalence (NZIMSSM(63), NZIUSf2141)
	equivalence (NZIMSSM(64), NZIUSf2142)
	equivalence (NZIMSSM(65), NZIUSf2143)
	equivalence (NZIMSSM(66), NZIUSf2221)
	equivalence (NZIMSSM(67), NZIUSf2222)
	equivalence (NZIMSSM(68), NZIUSf2223)
	equivalence (NZIMSSM(69), NZIUSf2231)
	equivalence (NZIMSSM(70), NZIUSf2232)
	equivalence (NZIMSSM(71), NZIUSf2233)
	equivalence (NZIMSSM(72), NZIUSf2241)
	equivalence (NZIMSSM(73), NZIUSf2242)
	equivalence (NZIMSSM(74), NZIUSf2243)
	equivalence (NZIMSSM(75), NZIVCha11)
	equivalence (NZIMSSM(76), NZIVCha12)
	equivalence (NZIMSSM(77), NZIVCha21)
	equivalence (NZIMSSM(78), NZIVCha22)
	equivalence (NZIMSSM(79), NZIZNeu11)
	equivalence (NZIMSSM(80), NZIZNeu12)
	equivalence (NZIMSSM(81), NZIZNeu13)
	equivalence (NZIMSSM(82), NZIZNeu14)
	equivalence (NZIMSSM(83), NZIZNeu21)
	equivalence (NZIMSSM(84), NZIZNeu22)
	equivalence (NZIMSSM(85), NZIZNeu23)
	equivalence (NZIMSSM(86), NZIZNeu24)
	equivalence (NZIMSSM(87), NZIZNeu31)
	equivalence (NZIMSSM(88), NZIZNeu32)
	equivalence (NZIMSSM(89), NZIZNeu33)
	equivalence (NZIMSSM(90), NZIZNeu34)
	equivalence (NZIMSSM(91), NZIZNeu41)
	equivalence (NZIMSSM(92), NZIZNeu42)
	equivalence (NZIMSSM(93), NZIZNeu43)
	equivalence (NZIMSSM(94), NZIZNeu44)

#ifndef USfC
#define USfC(i,j,t,g) DCONJG(USf(i,j,t,g))
#define UCSfC(i,j,t,g) DCONJG(UCSf(i,j,t,g))
#define UUSfC(i,j,t,g) DCONJG(UUSf(i,j,t,g))
#define USf2(i,j,t,g) DBLE(UCSf(i,j,t,g))
#define VChaC(i,j) DCONJG(VCha(i,j))
#define UChaC(i,j) DCONJG(UCha(i,j))
#define ZNeuC(i,j) DCONJG(ZNeu(i,j))
#define UHiggsC(i,j) DCONJG(UHiggs(i,j))
#define ZHiggsC(i,j) DCONJG(ZHiggs(i,j))
#define AfC(t,g1,g2) DCONJG(Af(t,g1,g2))
#define Mino3C DCONJG(Mino3)
#define MUEC DCONJG(MUE)
#define SqrtEGlC DCONJG(SqrtEGl)
#endif

	double precision Mh0, Mh02, MHH, MHH2, MA0, MA02, MHp, MHp2
	equivalence (MHiggs(1), Mh0), (MHiggs2(1), Mh02)
	equivalence (MHiggs(2), MHH), (MHiggs2(2), MHH2)
	equivalence (MHiggs(3), MA0), (MHiggs2(3), MA02)
	equivalence (MHiggs(4), MHp), (MHiggs2(4), MHp2)

	double precision Mh0tree2, MHHtree2, MA0tree2, MHptree2
	equivalence (MHiggstree2(1), Mh0tree2)
	equivalence (MHiggstree2(2), MHHtree2)
	equivalence (MHiggstree2(3), MA0tree2)
	equivalence (MHiggstree2(4), MHptree2)

	double complex UHiggs(3,3), ZHiggs(3,3)
	equivalence (XHiggs(1,1,1), UHiggs)
	equivalence (XHiggs(1,1,2), ZHiggs)

	double precision Af_flat(3*3*3), Xf_flat(3*3*3)
	equivalence (Af, Af_flat)
	equivalence (Xf, Xf_flat)

	double precision ReImAtau(2), ReAtau, ImAtau
	equivalence (Atau, ReImAtau)
	equivalence (ReImAtau(1), ReAtau), (ReImAtau(2), ImAtau)

	double precision ReImAt(2), ReAt, ImAt
	equivalence (At, ReImAt)
	equivalence (ReImAt(1), ReAt), (ReImAt(2), ImAt)

	double precision ReImAb(2), ReAb, ImAb
	equivalence (Ab, ReImAb)
	equivalence (ReImAb(1), ReAb), (ReImAb(2), ImAb)

	double precision ReImMUE(2), ReMUE, ImMUE
	equivalence (MUE, ReImMUE)
	equivalence (ReImMUE(1), ReMUE), (ReImMUE(2), ImMUE)

	double precision ReImMino1(2), ReMino1, ImMino1
	double precision M_1, ReM_1, ImM_1
	equivalence (Mino1, M_1, ReImMino1)
	equivalence (ReImMino1(1), ReMino1, ReM_1)
	equivalence (ReImMino1(2), ImMino1, ImM_1)

	double precision ReImMino2(2), ReMino2, ImMino2
	double precision M_2, ReM_2, ImM_2
	equivalence (Mino2, M_2, ReImMino2)
	equivalence (ReImMino2(1), ReMino2, ReM_2)
	equivalence (ReImMino2(2), ImMino2, ImM_2)

	double precision ReImMino3(2), ReMino3, ImMino3
	double precision M_3, ReM_3, ImM_3
	equivalence (Mino3, M_3, ReImMino3)
	equivalence (ReImMino3(1), ReMino3, ReM_3)
	equivalence (ReImMino3(2), ImMino3, ImM_3)


* flavour-violating parameters

	double complex deltaSf(6,6,3:4)
	double complex UASf(6,6,3:4)
	double precision MASf(6,3:4), MASf2(6,3:4)

	common /fv_para/ UASf, MASf, MASf2, deltaSf

#ifndef UASfC
#define UASfC(i,j,t) DCONJG(UASf(i,j,t))

#define deltaSf_LL(i,j,t) deltaSf(i,j,t)
#define deltaSf_LR(i,j,t) deltaSf(i,j+3,t)
#define deltaSf_RL(i,j,t) deltaSf(j,i+3,t)
#define deltaSf_RR(i,j,t) deltaSf(i+3,j+3,t)

#define ImdeltaSf_LL(i,j,t) ReImdeltaSf(2,i,j,t)
#define ImdeltaSf_LR(i,j,t) ReImdeltaSf(2,i,j+3,t)
#define ImdeltaSf_RL(i,j,t) ReImdeltaSf(2,j,i+3,t)
#define ImdeltaSf_RR(i,j,t) ReImdeltaSf(2,i+3,j+3,t)
#endif

	double complex deltaSf_flat(6*6*2)
	equivalence (deltaSf, deltaSf_flat)

	double precision ReImdeltaSf(2,6,6,3:4)
	equivalence (deltaSf, ReImdeltaSf)

	double complex deltaLLuc, deltaLRuc
	double complex deltaRLuc, deltaRRuc
	double precision RedeltaLLuc, ImdeltaLLuc
	double precision RedeltaLRuc, ImdeltaLRuc
	double precision RedeltaRLuc, ImdeltaRLuc
	double precision RedeltaRRuc, ImdeltaRRuc
	equivalence (  deltaSf_LL(1,2,3), deltaLLuc, RedeltaLLuc)
	equivalence (ImdeltaSf_LL(1,2,3), ImdeltaLLuc)
	equivalence (  deltaSf_LR(1,2,3), deltaLRuc, RedeltaLRuc)
	equivalence (ImdeltaSf_LR(1,2,3), ImdeltaLRuc)
	equivalence (  deltaSf_RL(1,2,3), deltaRLuc, RedeltaRLuc)
	equivalence (ImdeltaSf_RL(1,2,3), ImdeltaRLuc)
	equivalence (  deltaSf_RR(1,2,3), deltaRRuc, RedeltaRRuc)
	equivalence (ImdeltaSf_RR(1,2,3), ImdeltaRRuc)

	double complex deltaLLct, deltaLRct
	double complex deltaRLct, deltaRRct
	double precision RedeltaLLct, ImdeltaLLct
	double precision RedeltaLRct, ImdeltaLRct
	double precision RedeltaRLct, ImdeltaRLct
	double precision RedeltaRRct, ImdeltaRRct
	equivalence (  deltaSf_LL(2,3,3), deltaLLct, RedeltaLLct)
	equivalence (ImdeltaSf_LL(2,3,3), ImdeltaLLct)
	equivalence (  deltaSf_LR(2,3,3), deltaLRct, RedeltaLRct)
	equivalence (ImdeltaSf_LR(2,3,3), ImdeltaLRct)
	equivalence (  deltaSf_RL(2,3,3), deltaRLct, RedeltaRLct)
	equivalence (ImdeltaSf_RL(2,3,3), ImdeltaRLct)
	equivalence (  deltaSf_RR(2,3,3), deltaRRct, RedeltaRRct)
	equivalence (ImdeltaSf_RR(2,3,3), ImdeltaRRct)

	double complex deltaLLut, deltaLRut
	double complex deltaRLut, deltaRRut
	double precision RedeltaLLut, ImdeltaLLut
	double precision RedeltaLRut, ImdeltaLRut
	double precision RedeltaRLut, ImdeltaRLut
	double precision RedeltaRRut, ImdeltaRRut
	equivalence (  deltaSf_LL(1,3,3), deltaLLut, RedeltaLLut)
	equivalence (ImdeltaSf_LL(1,3,3), ImdeltaLLut)
	equivalence (  deltaSf_LR(1,3,3), deltaLRut, RedeltaLRut)
	equivalence (ImdeltaSf_LR(1,3,3), ImdeltaLRut)
	equivalence (  deltaSf_RL(1,3,3), deltaRLut, RedeltaRLut)
	equivalence (ImdeltaSf_RL(1,3,3), ImdeltaRLut)
	equivalence (  deltaSf_RR(1,3,3), deltaRRut, RedeltaRRut)
	equivalence (ImdeltaSf_RR(1,3,3), ImdeltaRRut)

	double complex deltaLLds, deltaLRds
	double complex deltaRLds, deltaRRds
	double precision RedeltaLLds, ImdeltaLLds
	double precision RedeltaLRds, ImdeltaLRds
	double precision RedeltaRLds, ImdeltaRLds
	double precision RedeltaRRds, ImdeltaRRds
	equivalence (  deltaSf_LL(1,2,4), deltaLLds, RedeltaLLds)
	equivalence (ImdeltaSf_LL(1,2,4), ImdeltaLLds)
	equivalence (  deltaSf_LR(1,2,4), deltaLRds, RedeltaLRds)
	equivalence (ImdeltaSf_LR(1,2,4), ImdeltaLRds)
	equivalence (  deltaSf_RL(1,2,4), deltaRLds, RedeltaRLds)
	equivalence (ImdeltaSf_RL(1,2,4), ImdeltaRLds)
	equivalence (  deltaSf_RR(1,2,4), deltaRRds, RedeltaRRds)
	equivalence (ImdeltaSf_RR(1,2,4), ImdeltaRRds)

	double complex deltaLLsb, deltaLRsb
	double complex deltaRLsb, deltaRRsb
	double precision RedeltaLLsb, ImdeltaLLsb
	double precision RedeltaLRsb, ImdeltaLRsb
	double precision RedeltaRLsb, ImdeltaRLsb
	double precision RedeltaRRsb, ImdeltaRRsb
	equivalence (  deltaSf_LL(2,3,4), deltaLLsb, RedeltaLLsb)
	equivalence (ImdeltaSf_LL(2,3,4), ImdeltaLLsb)
	equivalence (  deltaSf_LR(2,3,4), deltaLRsb, RedeltaLRsb)
	equivalence (ImdeltaSf_LR(2,3,4), ImdeltaLRsb)
	equivalence (  deltaSf_RL(2,3,4), deltaRLsb, RedeltaRLsb)
	equivalence (ImdeltaSf_RL(2,3,4), ImdeltaRLsb)
	equivalence (  deltaSf_RR(2,3,4), deltaRRsb, RedeltaRRsb)
	equivalence (ImdeltaSf_RR(2,3,4), ImdeltaRRsb)

	double complex deltaLLdb, deltaLRdb
	double complex deltaRLdb, deltaRRdb
	double precision RedeltaLLdb, ImdeltaLLdb
	double precision RedeltaLRdb, ImdeltaLRdb
	double precision RedeltaRLdb, ImdeltaRLdb
	double precision RedeltaRRdb, ImdeltaRRdb
	equivalence (  deltaSf_LL(1,3,4), deltaLLdb, RedeltaLLdb)
	equivalence (ImdeltaSf_LL(1,3,4), ImdeltaLLdb)
	equivalence (  deltaSf_LR(1,3,4), deltaLRdb, RedeltaLRdb)
	equivalence (ImdeltaSf_LR(1,3,4), ImdeltaLRdb)
	equivalence (  deltaSf_RL(1,3,4), deltaRLdb, RedeltaRLdb)
	equivalence (ImdeltaSf_RL(1,3,4), ImdeltaRLdb)
	equivalence (  deltaSf_RR(1,3,4), deltaRRdb, RedeltaRRdb)
	equivalence (ImdeltaSf_RR(1,3,4), ImdeltaRRdb)


* THDM parameters

	double precision Lambda5
	double precision Yuk1, Yuk2, Yuk3
	logical thdm_digest

	common /thdm_para/ Lambda5
	common /thdm_para/ Yuk1, Yuk2, Yuk3
	common /thdm_para/ thdm_digest

